function __processArg(obj, key) {
    var arg = null;
    if (obj) {
        arg = obj[key] || null;
        delete obj[key];
    }
    return arg;
}

function Controller() {
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    if (arguments[0]) {
        __processArg(arguments[0], "__parentSymbol");
        __processArg(arguments[0], "$model");
        __processArg(arguments[0], "__itemTemplate");
    }
    var $ = this;
    var exports = {};
    $.__views.index = Ti.UI.createWindow({
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var APPNAME = {
        UI: {
            Buttons: function() {
                var button = Ti.UI.createView({
                    height: 51,
                    status: {
                        selected: false,
                        inactive: false
                    },
                    backgroundColor: "white",
                    select: function(sttz) {
                        if (sttz) {
                            this.status["selected"] = true;
                            this.backgroundColor = "red";
                        } else {
                            this.status["selected"] = false;
                            this.backgroundColor = "white";
                        }
                        console.log("selected status: " + this.status.selected);
                    }
                });
                button.addEventListener("click", function() {
                    this.status.selected ? this.select(false) : this.select(true);
                });
                return button;
            }
        }
    };
    var exemple_btn = APPNAME.UI.Buttons();
    $.index.add(exemple_btn);
    $.index.open();
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;